Also fix number of running test-cases.

Signed-off-by: Alexey Kodanev <alexey.koda...@oracle.com>
---
 testcases/network/virt/virt_lib.sh |    8 ++++----
 testcases/network/virt/vxlan03.sh  |   24 ++++++++++++------------
 2 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/testcases/network/virt/virt_lib.sh 
b/testcases/network/virt/virt_lib.sh
index d79f7bc..9597c84 100644
--- a/testcases/network/virt/virt_lib.sh
+++ b/testcases/network/virt/virt_lib.sh
@@ -189,8 +189,8 @@ vxlan_setup_subnet_uni()
        [ "$(ip li add type vxlan help 2>&1 | grep remote)" ] || \
                tst_brkm TCONF "iproute doesn't support remote unicast address"
 
-       local opt="id $1 remote $(tst_ipaddr rhost)"
-       local opt_r="id $2 remote $(tst_ipaddr)"
+       local opt="$1 remote $(tst_ipaddr rhost)"
+       local opt_r="$2 remote $(tst_ipaddr)"
 
        virt_setup "$opt" "$opt_r"
 }
@@ -209,8 +209,8 @@ vxlan_setup_subnet_multi()
                grp="group 239.$b1.$b2.$b3"
        fi
 
-       local opt="id $1 $grp dev $(tst_iface)"
-       local opt_r="id $2 $grp dev $(tst_iface rhost)"
+       local opt="$1 $grp dev $(tst_iface)"
+       local opt_r="$2 $grp dev $(tst_iface rhost)"
 
        virt_setup "$opt" "$opt_r"
 }
diff --git a/testcases/network/virt/vxlan03.sh 
b/testcases/network/virt/vxlan03.sh
index 01fa62d..e5015be 100755
--- a/testcases/network/virt/vxlan03.sh
+++ b/testcases/network/virt/vxlan03.sh
@@ -24,7 +24,7 @@
 #              to communicate only within the same VXLAN segment.
 
 TCID=vxlan03
-TST_TOTAL=2
+TST_TOTAL=4
 
 virt_type="vxlan"
 start_id=16700000
@@ -60,30 +60,30 @@ if [ -z $ip_local -o -z $ip_remote ]; then
        tst_brkm TBROK "you must specify IP address"
 fi
 
+if [ "$vxlan_dst_addr" != 'uni' -a $vxlan_dst_addr != 'multi' ]; then
+       tst_brkm TBROK "wrong dst address, can be 'uni' or 'multi'"
+fi
+
 opts="dstport 0,dstport 0 gbp"
 
 for n in $(seq 1 2); do
-       params="$(echo $opts | cut -d',' -f$n)"
+       p="$(echo $opts | cut -d',' -f$n)"
 
-       virt_check_cmd virt_add ltp_v0 id 0 $params || continue
+       virt_check_cmd virt_add ltp_v0 id 0 $p || continue
 
-       tst_resm TINFO "networks with the same VNI must work"
+       tst_resm TINFO "the same VNI must work"
        # VNI is 24 bits long, so max value, which is not reserved, is 0xFFFFFE
        res="TPASS"
 
-       if [ "$vxlan_dst_addr" != 'uni' -a $vxlan_dst_addr != 'multi' ]; then
-               tst_brkm TBROK "wrong dst address, can be 'uni' or 'multi'"
-       fi
-
-       vxlan_setup_subnet_$vxlan_dst_addr "0xFFFFFE" "0xFFFFFE"
-       vxlan_compare_netperf || res="TFAIL"
+       vxlan_setup_subnet_$vxlan_dst_addr "id 0xFFFFFE $p" "id 0xFFFFFE $p"
+       virt_compare_netperf || res="TFAIL"
 
        tst_resm $res "done"
 
        tst_resm TINFO "different VNI shall not work together"
        res="TPASS"
-       vxlan_setup_subnet_$vxlan_dst_addr "0xFFFFFE" "0xFFFFFD"
-       vxlan_compare_netperf && res="TFAIL"
+       vxlan_setup_subnet_$vxlan_dst_addr "id 0xFFFFFE $p" "id 0xFFFFFD $p"
+       virt_compare_netperf && res="TFAIL"
 
        tst_resm $res "done"
 done
-- 
1.7.1


------------------------------------------------------------------------------
Don't Limit Your Business. Reach for the Cloud.
GigeNET's Cloud Solutions provide you with the tools and support that
you need to offload your IT needs and focus on growing your business.
Configured For All Businesses. Start Your Cloud Today.
https://www.gigenetcloud.com/
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

Reply via email to